﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            TTi TGA1244: (1 yr) VER IEEE /5790A,8560,8903,LFCTR
DATE:                  2017-02-09 12:12:43
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       410
CONFIGURATION:         Fluke 5790A
CONFIGURATION:         HP 8560
CONFIGURATION:         HP 8903B
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Additional Equipment Required:
#        See procedure body for specific cables and adapters required.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J             C                     V

  1.002  IF           0
  1.003  5790         *                                                 S
  1.004  8560         *                                                 S
  1.005  8903         *                                                 S
  1.006  IEEE         [@LFCTR]
  1.007  ENDIF

  1.008  IF           NOT(VERSIONCHECK("8.0"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Prior to beginning verification, a UUT warm-up time
  1.013  DISP         of 30 minutes.
  1.013  DISP
  1.013  DISP         Additionally, the UUT must have acclimated to the
  1.013  DISP         ambient conditions of the test environment for at
  1.013  DISP         least two hours.

  1.014  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method
  1.017  CALL         Sub UUT Connection GPIB

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE

  1.020  MATH         @Manufacturer     = GETV("Manufacturer")
  1.021  MATH         @ModelNum         = GETV("Model_Num")
  1.022  MATH         @UUT_Manufacturer = "THURLBY THANDAR"
  1.023  MATH         @UUT_Model        = "TGA1244"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

  1.028  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.028  OPBR         additional equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Fluke 281/282/284 (1 yr) Min Requirements /LFCTR

  1.031  IF           @Abort
  1.032  END
  1.033  ENDIF

  1.034  CALL         Sub Fluke 281/282/284 Additional Required Equipment
  1.035  ENDIF

  1.036  RESET        OUTPUT OFF;*OPC?[I!]

# Set timeout for "Sub Wait for OPC 488.2" to 10 s.
  1.037  MATH         @Timeout = 10000

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Sine Frequency Accuracy Ch 1       Sine Frequency Accuracy Ch 1
#    2.   Sine Frequency Accuracy Ch 2       Square Frequency Accuracy Ch 1
#    3.   Sine Frequency Accuracy Ch 3       Square Rise/Fall Time Ch 1
#    4.   Sine Frequency Accuracy Ch 4       Sine Frequency Accuracy Ch 2
#    5.   Square Frequency Accuracy Ch 1     Square Frequency Accuracy Ch 2
#    6.   Square Frequency Accuracy Ch 2     Square Rise/Fall Time Ch 2
#    7.   Square Frequency Accuracy Ch 3     Sine Frequency Accuracy Ch 3
#    8.   Square Frequency Accuracy Ch 4     Square Frequency Accuracy Ch 3
#    9.   Frequency Synthesis Ch 1           Square Rise/Fall Time Ch 3
#   10.   Frequency Synthesis Ch 2           Sine Frequency Accuracy Ch 4
#   11.   Frequency Synthesis Ch 3           Square Frequency Accuracy Ch 4
#   12.   Frequency Synthesis Ch 4           Square Rise/Fall Time Ch 4
#   13.   Square Rise/Fall Time Ch 1         Frequency Synthesis Ch 1
#   14.   Square Rise/Fall Time Ch 2         Frequency Synthesis Ch 2
#   15.   Square Rise/Fall Time Ch 3         Frequency Synthesis Ch 3
#   16.   Square Rise/Fall Time Ch 4         Frequency Synthesis Ch 4
#   17.   Amplitude Accuracy Ch 1            Amplitude Accuracy Ch 1
#   18.   Amplitude Accuracy Ch 2            Amplitude Flatness Ch 1
#   19.   Amplitude Accuracy Ch 3            Amplitude Accuracy Ch 2
#   20.   Amplitude Accuracy Ch 4            Amplitude Flatness Ch 2
#   21.   Amplitude Flatness Ch 1            Amplitude Accuracy Ch 3
#   22.   Amplitude Flatness Ch 2            Amplitude Flatness Ch 3
#   23.   Amplitude Flatness Ch 3            Amplitude Accuracy Ch 4
#   24.   Amplitude Flatness Ch 4            Amplitude Flatness Ch 4
#   25.   Sine Distortion <= 100 kHz Ch 1    Sine Distortion <= 100 kHz Ch 1
#   26.   Sine Distortion > 100 kHz Ch 1     Sine Distortion <= 100 kHz Ch 2
#   27.   Sine Distortion <= 100 kHz Ch 2    Sine Distortion <= 100 kHz Ch 3
#   28.   Sine Distortion > 100 kHz Ch 2     Sine Distortion <= 100 kHz Ch 4
#   29.   Sine Distortion <= 100 kHz Ch 3    Sine Distortion > 100 kHz Ch 1
#   30.   Sine Distortion > 100 kHz Ch 3     Non-harmonic Distortion Ch 1
#   31.   Sine Distortion <= 100 kHz Ch 4    Sine Distortion > 100 kHz Ch 2
#   32.   Sine Distortion > 100 kHz Ch 4     Non-harmonic Distortion Ch 2
#   33.   Non-harmonic Distortion Ch 1       Sine Distortion > 100 kHz Ch 3
#   34.   Non-harmonic Distortion Ch 2       Non-harmonic Distortion Ch 3
#   35.   Non-harmonic Distortion Ch 3       Sine Distortion > 100 kHz Ch 4
#   36.   Non-harmonic Distortion Ch 4       Non-harmonic Distortion Ch 4

  1.038  RSLT         =
  1.039  RSLT         =SINE WAVE FREQUENCY ACCURACY
  1.040  RSLT         =
  1.041  RSLT         =Channel 1
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.044  JMPL         SQUARE_FREQ_CH1

  1.045  LABEL        SINE_FREQ_CH2
  1.046  RSLT         =
  1.047  RSLT         =Channel 2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.050  JMPL         SQUARE_FREQ_CH2

  1.051  LABEL        SINE_FREQ_CH3
  1.052  RSLT         =
  1.053  RSLT         =Channel 3
  1.054  MATH         @Chan = 3
  1.055  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.056  JMPL         SQUARE_FREQ_CH3

  1.057  LABEL        SINE_FREQ_CH4
  1.058  RSLT         =
  1.059  RSLT         =Channel 4
  1.060  MATH         @Chan = 4
  1.061  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.062  JMPL         SQUARE_FREQ_CH4

  1.063  LABEL        SQUARE_FREQ_CH1
  1.064  RSLT         =
  1.065  RSLT         =SQUARE WAVE FREQUENCY ACCURACY
  1.066  RSLT         =
  1.067  RSLT         =Channel 1
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.070  JMPL         RISE_FALL_CH1

  1.071  LABEL        SQUARE_FREQ_CH2
  1.072  RSLT         =
  1.073  RSLT         =Channel 2
  1.074  MATH         @Chan = 2
  1.075  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.076  JMPL         RISE_FALL_CH2

  1.077  LABEL        SQUARE_FREQ_CH3
  1.078  RSLT         =
  1.079  RSLT         =Channel 3
  1.080  MATH         @Chan = 3
  1.081  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.082  JMPL         RISE_FALL_CH3

  1.083  LABEL        SQUARE_FREQ_CH4
  1.084  RSLT         =
  1.085  RSLT         =Channel 4
  1.086  MATH         @Chan = 4
  1.087  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.088  JMPL         RISE_FALL_CH4

  1.089  LABEL        FREQ_SYNTHESIS_CH1
  1.090  RSLT         =
  1.091  RSLT         =FREQUENCY SYNTHESIS
  1.092  RSLT         =
  1.093  RSLT         =Channel 1
  1.094  MATH         @Chan = 1
  1.095  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR

  1.096  RSLT         =
  1.097  RSLT         =Channel 2
  1.098  MATH         @Chan = 2
  1.099  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR

  1.100  RSLT         =
  1.101  RSLT         =Channel 3
  1.102  MATH         @Chan = 3
  1.103  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR

  1.104  RSLT         =
  1.105  RSLT         =Channel 4
  1.106  MATH         @Chan = 4
  1.107  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
  1.108  JMPL         AMPLITUDE_CH1

  1.109  LABEL        RISE_FALL_CH1
  1.110  RSLT         =
  1.111  RSLT         =SQUARE WAVE RISE/FALL
  1.112  RSLT         =
  1.113  RSLT         =Channel 1
  1.114  MATH         @Chan = 1
  1.115  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.116  JMPL         SINE_FREQ_CH2

  1.117  LABEL        RISE_FALL_CH2
  1.118  RSLT         =
  1.119  RSLT         =Channel 2
  1.120  MATH         @Chan = 2
  1.121  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.122  JMPL         SINE_FREQ_CH3

  1.123  LABEL        RISE_FALL_CH3
  1.124  RSLT         =
  1.125  RSLT         =Channel 3
  1.126  MATH         @Chan = 3
  1.127  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.128  JMPL         SINE_FREQ_CH4

  1.129  LABEL        RISE_FALL_CH4
  1.130  RSLT         =
  1.131  RSLT         =Channel 4
  1.132  MATH         @Chan = 4
  1.133  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.134  JMPL         FREQ_SYNTHESIS_CH1

  1.135  LABEL        AMPLITUDE_CH1
  1.136  RSLT         =
  1.137  RSLT         =AMPLITUDE ACCURACY (1 kHz)
  1.138  RSLT         =
  1.139  RSLT         =Channel 1
  1.140  MATH         @Chan = 1
  1.141  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.142  JMPL         AMPLITUDE_FLATLESS_CH1

  1.143  LABEL        AMPLITUDE_CH2
  1.144  RSLT         =
  1.145  RSLT         =Channel 2
  1.146  MATH         @Chan = 2
  1.147  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.148  JMPL         AMPLITUDE_FLATLESS_CH2

  1.149  LABEL        AMPLITUDE_CH3
  1.150  RSLT         =
  1.151  RSLT         =Channel 3
  1.152  MATH         @Chan = 3
  1.153  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.154  JMPL         AMPLITUDE_FLATLESS_CH3

  1.155  LABEL        AMPLITUDE_CH4
  1.156  RSLT         =
  1.157  RSLT         =Channel 4
  1.158  MATH         @Chan = 4
  1.159  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.160  JMPL         AMPLITUDE_FLATLESS_CH4

  1.161  LABEL        AMPLITUDE_FLATLESS_CH1
  1.162  RSLT         =
  1.163  RSLT         =AMPLITUDE FLATNESS (1 kHz Reference)
  1.164  RSLT         =
  1.165  RSLT         =Channel 1
  1.166  MATH         @Chan = 1
  1.167  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.168  JMPL         AMPLITUDE_CH2

  1.169  LABEL        AMPLITUDE_FLATLESS_CH2
  1.170  RSLT         =
  1.171  RSLT         =Channel 2
  1.172  MATH         @Chan = 2
  1.173  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.174  JMPL         AMPLITUDE_CH3

  1.175  LABEL        AMPLITUDE_FLATLESS_CH3
  1.176  RSLT         =
  1.177  RSLT         =Channel 3
  1.178  MATH         @Chan = 3
  1.179  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.180  JMPL         AMPLITUDE_CH4

  1.181  LABEL        AMPLITUDE_FLATLESS_CH4
  1.182  RSLT         =
  1.183  RSLT         =Channel 4
  1.184  MATH         @Chan = 4
  1.185  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790

  1.186  RSLT         =
  1.187  RSLT         =SINE WAVE DISTORTION
  1.188  RSLT         =
  1.189  RSLT         =Channel 1
  1.190  RSLT         =
  1.191  RSLT         =Total Harmonic Distortion
  1.192  MATH         @Chan = 1
  1.193  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.194  JMPL         8903_DISTORTION_CH2

  1.195  LABEL        8560_DISTORTION_CH1
  1.196  MATH         @Chan = 1
  1.197  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
  1.198  JMPL         8560_NON-HARMONIC_DISTORTION_CH1

  1.199  LABEL        8903_DISTORTION_CH2
  1.200  RSLT         =
  1.201  RSLT         =Channel 2
  1.202  RSLT         =
  1.203  RSLT         =Total Harmonic Distortion
  1.204  MATH         @Chan = 2
  1.205  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.206  JMPL         8903_DISTORTION_CH3

  1.207  LABEL        8560_DISTORTION_CH2
  1.208  MATH         @Chan = 2
  1.209  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
  1.210  JMPL         8560_NON-HARMONIC_DISTORTION_CH2

  1.211  LABEL        8903_DISTORTION_CH3
  1.212  RSLT         =
  1.213  RSLT         =Channel 3
  1.214  RSLT         =
  1.215  RSLT         =Total Harmonic Distortion
  1.216  MATH         @Chan = 3
  1.217  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.218  JMPL         8903_DISTORTION_CH4

  1.219  LABEL        8560_DISTORTION_CH3
  1.220  MATH         @Chan = 3
  1.221  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
  1.222  JMPL         8560_NON-HARMONIC_DISTORTION_CH3

  1.223  LABEL        8903_DISTORTION_CH4
  1.224  RSLT         =
  1.225  RSLT         =Channel 4
  1.226  RSLT         =
  1.227  RSLT         =Total Harmonic Distortion
  1.228  MATH         @Chan = 4
  1.229  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.230  JMPL         8560_DISTORTION_CH1

  1.231  LABEL        8560_DISTORTION_CH4
  1.232  MATH         @Chan = 4
  1.233  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
  1.234  JMPL         8560_NON-HARMONIC_DISTORTION_CH4

  1.235  LABEL        8560_NON-HARMONIC_DISTORTION_CH1
  1.236  RSLT         =
  1.237  RSLT         =SINE WAVE NON-HARMONIC DISTORTION (6 MHz Fundamental)
  1.238  RSLT         =
  1.239  RSLT         =Channel 1
  1.240  MATH         @Chan = 1
  1.241  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560
  1.242  JMPL         8560_DISTORTION_CH2

  1.243  LABEL        8560_NON-HARMONIC_DISTORTION_CH2
  1.244  RSLT         =
  1.245  RSLT         =Channel 2
  1.246  MATH         @Chan = 2
  1.247  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560
  1.248  JMPL         8560_DISTORTION_CH3

  1.249  LABEL        8560_NON-HARMONIC_DISTORTION_CH3
  1.250  RSLT         =
  1.251  RSLT         =Channel 3
  1.252  MATH         @Chan = 3
  1.253  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560
  1.254  JMPL         8560_DISTORTION_CH4

  1.255  LABEL        8560_NON-HARMONIC_DISTORTION_CH4
  1.256  RSLT         =
  1.257  RSLT         =Channel 4
  1.258  MATH         @Chan = 4
  1.259  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560

  1.260  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.261  END




